FROM python:3.10-slim

RUN apt-get update -y 
RUN apt-get install -y python3-pip python3-dev 
RUN pip3 install --upgrade pip
COPY requirements.txt .
RUN pip3 install -r requirements.txt

ARG TIMEZONE=Europe/Berlin
RUN ln -sf /usr/share/zoneinfo/$TIMEZONE /etc/localtime && \
    echo "$TIMEZONE" > /etc/timezone

RUN mkdir /ragp
COPY . /ragp
WORKDIR /ragp
RUN python3 -m grpc_tools.protoc --python_out=. --proto_path=. --grpc_python_out=. rag.proto

ENTRYPOINT python3 -u server.py